Loading...
Searching...
No Matches
grid_graph.h File Reference
Data Structures » Graph Structures
`#include <lemon/core.h>`
`#include <lemon/bits/graph_extender.h>`
`#include <lemon/dim2.h>`
`#include <lemon/assert.h>`

## Classes

class | GridGraph
| Grid graph class. More...
class | GridGraph::IndexMap
| Map to get the indices of the nodes as dim2::Point<int>. More...
class | GridGraph::ColMap
| Map to get the column of the nodes. More...
class | GridGraph::RowMap
| Map to get the row of the nodes. More...

## Namespaces

namespace | lemon
| The namespace of LEMON.